#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0xa5bbc23a, "param_ops_int" },
	{ 0x2ebb8c48, "video_ioctl2" },
	{ 0x68944524, "v4l2_event_unsubscribe" },
	{ 0xd6a961dd, "v4l2_ctrl_subscribe_event" },
	{ 0xfe0c7654, "v4l2_ctrl_log_status" },
	{ 0x5cba2bed, "usb_deregister" },
	{ 0x1b5434ac, "usb_register_driver" },
	{ 0xac5072ad, "__video_register_device" },
	{ 0x8ebb1e9e, "videobuf_queue_vmalloc_init" },
	{ 0x7fadcb16, "__rt_spin_lock_init" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb0df2e9, "video_device_release_empty" },
	{ 0x1bd5422, "__mutex_do_init" },
	{ 0xd985b4ad, "__rt_mutex_init" },
	{ 0x4ce85c3d, "v4l2_ctrl_new_std" },
	{ 0xea3ebcfc, "v4l2_ctrl_handler_init_class" },
	{ 0x29a518f6, "v4l2_device_register" },
	{ 0x8092db58, "kmem_cache_alloc_trace" },
	{ 0xa20584a1, "kmalloc_caches" },
	{ 0x563d31e5, "videobuf_read_one" },
	{ 0x6596fd13, "videobuf_streamon" },
	{ 0xf674f339, "v4l2_ctrl_handler_setup" },
	{ 0xd909b1b3, "videobuf_queue_is_busy" },
	{ 0xebb5ea9, "v4l2_fh_release" },
	{ 0xc05efa30, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x25e0fffe, "videobuf_mmap_mapper" },
	{ 0x49e69acb, "videobuf_iolock" },
	{ 0x3e553025, "videobuf_vmalloc_free" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb170c090, "rt_spin_unlock" },
	{ 0x3bbad082, "__wake_up" },
	{ 0x8afc1ca8, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x752a4a03, "rt_spin_lock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfee8bed8, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x10fea830, "v4l2_ctrl_handler_free" },
	{ 0x999e8297, "vfree" },
	{ 0x9b47f362, "videobuf_mmap_free" },
	{ 0x7d140b71, "v4l2_device_unregister" },
	{ 0xc9d60095, "videobuf_poll_stream" },
	{ 0x79333388, "v4l2_ctrl_poll" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xff03699f, "v4l2_fh_open" },
	{ 0x824522c3, "_mutex_lock_interruptible" },
	{ 0x47fd074b, "videobuf_reqbufs" },
	{ 0x29f4cd36, "videobuf_querybuf" },
	{ 0x26308eec, "videobuf_qbuf" },
	{ 0x2387608c, "videobuf_dqbuf" },
	{ 0x5ae57ede, "videobuf_streamoff" },
	{ 0xcb272d5c, "video_devdata" },
	{ 0xdd64e639, "strscpy" },
	{ 0x65b486d, "v4l2_device_put" },
	{ 0xc1c35c34, "_mutex_unlock" },
	{ 0xebd36b4d, "v4l2_device_disconnect" },
	{ 0x1c068e52, "video_unregister_device" },
	{ 0xd16c20ec, "_dev_info" },
	{ 0x8b1a785, "_mutex_lock" },
	{ 0xfdaa8676, "usb_free_urb" },
	{ 0xfb139e9e, "usb_kill_urb" },
	{ 0x260ff55, "usb_submit_urb" },
	{ 0x7b60b5cc, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-vmalloc,videobuf-core";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "880153A8E3BA211D7B95EAF");

MODULE_INFO(suserelease, "SLE15-SP2");
