#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0xa4eed622, "netdev_info" },
	{ 0xa20584a1, "kmalloc_caches" },
	{ 0xcf562f64, "register_candev" },
	{ 0x4d8971be, "alloc_can_err_skb" },
	{ 0x16081ffb, "can_dlc2len" },
	{ 0xc15d849c, "netif_carrier_on" },
	{ 0xd985b4ad, "__rt_mutex_init" },
	{ 0x44e7b415, "netif_carrier_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x280bf0b4, "__dynamic_netdev_dbg" },
	{ 0x752a4a03, "rt_spin_lock" },
	{ 0xb170c090, "rt_spin_unlock" },
	{ 0x100847fe, "usb_unanchor_urb" },
	{ 0x61cea286, "can_bus_off" },
	{ 0xbf36b898, "netif_rx" },
	{ 0xa0b8ee1e, "__init_waitqueue_head" },
	{ 0x66d23989, "_dev_warn" },
	{ 0x4c9f0fe9, "close_candev" },
	{ 0xf8a90105, "netif_tx_wake_queue" },
	{ 0x5cba2bed, "usb_deregister" },
	{ 0xc5850110, "printk" },
	{ 0xbc8df72d, "alloc_candev_mqs" },
	{ 0x1d1c95c4, "free_candev" },
	{ 0xf846e6e1, "usb_free_coherent" },
	{ 0xfee8bed8, "_dev_err" },
	{ 0x7fadcb16, "__rt_spin_lock_init" },
	{ 0x2084a638, "can_change_mtu" },
	{ 0x2e6d84d6, "can_change_state" },
	{ 0xd16c20ec, "_dev_info" },
	{ 0x260ff55, "usb_submit_urb" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0xd965909d, "unregister_candev" },
	{ 0x9d01aebc, "netif_device_detach" },
	{ 0x8385d9bb, "usb_kill_anchored_urbs" },
	{ 0x1ba9bfaa, "alloc_can_skb" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x46fcd2df, "usb_bulk_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x113b9da6, "kfree_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56067c2d, "netdev_err" },
	{ 0x703bf369, "open_candev" },
	{ 0x8092db58, "kmem_cache_alloc_trace" },
	{ 0xfbf3c497, "__dynamic_dev_dbg" },
	{ 0x9c40e932, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1b5434ac, "usb_register_driver" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x241d0f46, "alloc_canfd_skb" },
	{ 0x8762619a, "can_len2dlc" },
	{ 0xa6257a2f, "complete" },
	{ 0x16c92486, "can_get_echo_skb" },
	{ 0x542b03d2, "consume_skb" },
	{ 0x8909b575, "usb_alloc_coherent" },
	{ 0x6d8be94a, "can_put_echo_skb" },
	{ 0x5def6e54, "devm_kmalloc" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7c6be48e, "can_free_echo_skb" },
	{ 0xfdaa8676, "usb_free_urb" },
	{ 0x55ace0ba, "usb_anchor_urb" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x7b60b5cc, "usb_alloc_urb" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=can-dev,usbcore";

MODULE_ALIAS("usb:v0BFDp000Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0016d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0122d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0104d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0106d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0107d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ed*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D3FDAC72506AB4EF6180E2C");

MODULE_INFO(suserelease, "SLE15-SP2");
