#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0x38342898, "orinoco_tx_timeout" },
	{ 0x909681c4, "orinoco_change_mtu" },
	{ 0xce5abc05, "eth_validate_addr" },
	{ 0x5a122f00, "eth_mac_addr" },
	{ 0xfa2ae312, "orinoco_set_multicast_list" },
	{ 0x3138cecb, "orinoco_stop" },
	{ 0xef229cb2, "orinoco_open" },
	{ 0x5cba2bed, "usb_deregister" },
	{ 0x1b5434ac, "usb_register_driver" },
	{ 0x8758f79a, "free_orinocodev" },
	{ 0x89286a31, "wiphy_unregister" },
	{ 0xf279df3c, "orinoco_if_del" },
	{ 0xc1c35c34, "_mutex_unlock" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x8b1a785, "_mutex_lock" },
	{ 0x5263aa88, "release_firmware" },
	{ 0x808fc469, "orinoco_if_add" },
	{ 0xaf832079, "orinoco_init" },
	{ 0x7c9a70bc, "request_firmware" },
	{ 0x7fadcb16, "__rt_spin_lock_init" },
	{ 0x1bd5422, "__mutex_do_init" },
	{ 0xd985b4ad, "__rt_mutex_init" },
	{ 0x66301f97, "alloc_orinocodev" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf88163b6, "orinoco_process_xmit_skb" },
	{ 0x542b03d2, "consume_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xfb139e9e, "usb_kill_urb" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe77eed5, "current_task" },
	{ 0x5d2c4958, "finish_swait" },
	{ 0x25f57a0, "prepare_to_swait_event" },
	{ 0x1000e51, "schedule" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xc05efa30, "usb_control_msg" },
	{ 0xfbf3c497, "__dynamic_dev_dbg" },
	{ 0x1faca170, "usb_unlink_urb" },
	{ 0x1143fb0b, "__orinoco_ev_rx" },
	{ 0x9919a338, "__orinoco_ev_info" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf8a90105, "netif_tx_wake_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfdaa8676, "usb_free_urb" },
	{ 0x280bf0b4, "__dynamic_netdev_dbg" },
	{ 0x260ff55, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7b60b5cc, "usb_alloc_urb" },
	{ 0x8092db58, "kmem_cache_alloc_trace" },
	{ 0xa20584a1, "kmalloc_caches" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb170c090, "rt_spin_unlock" },
	{ 0x752a4a03, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc5850110, "printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=orinoco,usbcore,cfg80211";

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A572F1796F5C95D9E68F22E");

MODULE_INFO(suserelease, "SLE15-SP2");
