#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0xcb4b512d, "mt76x02_remove_interface" },
	{ 0x1ad71334, "__mt76_poll" },
	{ 0x1bd5422, "__mutex_do_init" },
	{ 0xe3829aae, "mt76x02_sw_scan" },
	{ 0xf58aa860, "mt76x02_conf_tx" },
	{ 0x1471c231, "mt76x02_ampdu_action" },
	{ 0x510865cf, "mt76u_stop_rx" },
	{ 0xd985b4ad, "__rt_mutex_init" },
	{ 0x948af292, "mt76x02u_exit_beacon_config" },
	{ 0x97282f68, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x10e1b8bf, "mt76u_vendor_request" },
	{ 0xeb80072c, "ieee80211_unregister_hw" },
	{ 0xcef06adb, "mt76x02u_init_beacon_config" },
	{ 0x93fc9542, "mt76u_stop_tx" },
	{ 0xabea13c, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4912dbcc, "mt76x0_mac_start" },
	{ 0xac5d2461, "mt76x02_bss_info_changed" },
	{ 0x99f6234a, "mt76x0_init_hardware" },
	{ 0x7c2c17d1, "mt76_sta_state" },
	{ 0xb6e44bf9, "mt76x02_set_rts_threshold" },
	{ 0x3b678ba0, "mt76x02u_tx_prepare_skb" },
	{ 0xed3c525, "mt76x02u_init_mcu" },
	{ 0x66d23989, "_dev_warn" },
	{ 0xa7b7a74f, "mt76u_init" },
	{ 0xeadef122, "mt76x02u_mcu_fw_send_data" },
	{ 0x354290e4, "mt76x0_mac_stop" },
	{ 0x9649d041, "mt76x02_sta_add" },
	{ 0xed922bf, "mt76x02_tx_status_data" },
	{ 0x5cba2bed, "usb_deregister" },
	{ 0xd02ba64a, "mt76x02_sta_remove" },
	{ 0xd0bf4f7b, "mt76x02_tx" },
	{ 0xc56cb308, "__mt76_poll_msec" },
	{ 0x1099fddc, "mt76x02_sw_scan_complete" },
	{ 0x7e7b7ea6, "mt76_set_tim" },
	{ 0xec303e3, "mt76x0_phy_calibrate" },
	{ 0x8cdca344, "mt76x02u_mcu_fw_reset" },
	{ 0xfee8bed8, "_dev_err" },
	{ 0x3f0e55df, "mt76x0_register_device" },
	{ 0x1ecf48e2, "mt76x0_config" },
	{ 0x4085d01a, "ieee80211_queue_delayed_work" },
	{ 0x9b6c03be, "mt76u_queues_deinit" },
	{ 0x9a58114, "mt76x02_queue_rx_skb" },
	{ 0x97c286aa, "mt76x0_chip_onoff" },
	{ 0x9735105, "mt76x02_configure_filter" },
	{ 0xd16c20ec, "_dev_info" },
	{ 0x262d3e67, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9aed7e89, "usb_reset_device" },
	{ 0xa38e13, "usb_put_dev" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xd2006108, "mt76_alloc_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfbf3c497, "__dynamic_dev_dbg" },
	{ 0xf8e54281, "mt76x02_sta_rate_tbl_update" },
	{ 0xb84821f9, "mt76u_resume_rx" },
	{ 0x378034b, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0x46b438df, "mt76_wake_tx_queue" },
	{ 0x1abce7c3, "mt76_get_txpower" },
	{ 0x1b5434ac, "usb_register_driver" },
	{ 0x7c9a70bc, "request_firmware" },
	{ 0xe046f099, "mt76_release_buffered_frames" },
	{ 0x2d86404, "ieee80211_free_hw" },
	{ 0x520cd242, "mt76x02_set_key" },
	{ 0x5df05834, "firmware_request_nowarn" },
	{ 0x5263aa88, "release_firmware" },
	{ 0xffea574, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "925183ECD2EB34F8976E70A");

MODULE_INFO(suserelease, "SLE15-SP2");
