#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0x28e65dd1, "param_ops_string" },
	{ 0xa5bbc23a, "param_ops_int" },
	{ 0x40bcf1, "usbnet_get_stats64" },
	{ 0xae241056, "usbnet_tx_timeout" },
	{ 0xce5abc05, "eth_validate_addr" },
	{ 0x5a122f00, "eth_mac_addr" },
	{ 0xe41eceef, "usbnet_start_xmit" },
	{ 0x1fc7e6d1, "usbnet_stop" },
	{ 0x86ba0e15, "usbnet_open" },
	{ 0xb18a7cc4, "rndis_tx_fixup" },
	{ 0x385e34fc, "rndis_rx_fixup" },
	{ 0x43b08914, "rndis_status" },
	{ 0xf82dcfb0, "usbnet_resume" },
	{ 0xe8dda7f8, "usbnet_suspend" },
	{ 0x52b2a2bd, "usbnet_disconnect" },
	{ 0x716b1ca7, "usbnet_probe" },
	{ 0x5cba2bed, "usb_deregister" },
	{ 0x1b5434ac, "usb_register_driver" },
	{ 0x455447aa, "wiphy_register" },
	{ 0x5530a189, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1bd5422, "__mutex_do_init" },
	{ 0xd985b4ad, "__rt_mutex_init" },
	{ 0xa540575, "wiphy_new_nm" },
	{ 0x56067c2d, "netdev_err" },
	{ 0x992cd0f1, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0x44e7b415, "netif_carrier_off" },
	{ 0xd76083bf, "cfg80211_disconnected" },
	{ 0xc5850110, "printk" },
	{ 0x7eb81564, "cfg80211_roamed" },
	{ 0xb6ff91cc, "cfg80211_ibss_joined" },
	{ 0xc15d849c, "netif_carrier_on" },
	{ 0x802a221, "usbnet_resume_rx" },
	{ 0x8092db58, "kmem_cache_alloc_trace" },
	{ 0xa20584a1, "kmalloc_caches" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa2ddb93f, "cfg80211_cqm_rssi_notify" },
	{ 0xc22bc0e8, "cfg80211_put_bss" },
	{ 0x33d41990, "ieee80211_get_channel" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb170c090, "rt_spin_unlock" },
	{ 0x752a4a03, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xcb9d52b2, "cfg80211_scan_done" },
	{ 0xfe64bfc4, "wiphy_free" },
	{ 0x89286a31, "wiphy_unregister" },
	{ 0x617928a2, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9c40e932, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1c35c34, "_mutex_unlock" },
	{ 0x641af471, "rndis_command" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b1a785, "_mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x965f0b30, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xfe8eba71, "cfg80211_connect_done" },
	{ 0x38805708, "usbnet_pause_rx" },
	{ 0xd88e8136, "cfg80211_michael_mic_failure" },
	{ 0x280bf0b4, "__dynamic_netdev_dbg" },
	{ 0x3d78eae5, "cfg80211_pmksa_candidate_notify" },
	{ 0xa4eed622, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "SLE15-SP2");
