#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7835e851, "i2c_del_driver" },
	{ 0x1bd5422, "__mutex_do_init" },
	{ 0xb52ff1d6, "regulator_disable" },
	{ 0x8894ca7f, "i2c_transfer" },
	{ 0x1921f372, "input_alloc_absinfo" },
	{ 0xd985b4ad, "__rt_mutex_init" },
	{ 0xc1c35c34, "_mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x331b9e75, "input_mt_report_pointer_emulation" },
	{ 0x912a184b, "input_set_abs_params" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xa488af8e, "input_event" },
	{ 0x66d23989, "_dev_warn" },
	{ 0x6e2f866e, "i2c_smbus_read_byte" },
	{ 0x19a552fb, "input_set_capability" },
	{ 0xd1fe3d25, "i2c_smbus_write_byte" },
	{ 0x3c0df3c3, "irq_get_irq_data" },
	{ 0x48944169, "input_mt_init_slots" },
	{ 0xa0a7997b, "device_init_wakeup" },
	{ 0xfee8bed8, "_dev_err" },
	{ 0x6856fbf5, "i2c_register_driver" },
	{ 0x2a6265e4, "devm_add_action" },
	{ 0xd16c20ec, "_dev_info" },
	{ 0x2a509270, "i2c_smbus_write_block_data" },
	{ 0xe4eaf11f, "devm_regulator_get" },
	{ 0xaa5620b5, "device_property_read_u32_array" },
	{ 0x4528f214, "i2c_smbus_read_block_data" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc5d0cd56, "input_register_device" },
	{ 0x92226d2f, "pm_wakeup_dev_event" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfbf3c497, "__dynamic_dev_dbg" },
	{ 0xc7a3d8ba, "i2c_transfer_buffer_flags" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x92e64725, "sysfs_create_groups" },
	{ 0xf79ec4a3, "devm_input_allocate_device" },
	{ 0x3165f841, "input_mt_report_slot_state" },
	{ 0x4d83bdf4, "sysfs_remove_groups" },
	{ 0x7c9a70bc, "request_firmware" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa6257a2f, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5def6e54, "devm_kmalloc" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x35994e27, "devm_request_threaded_irq" },
	{ 0x5263aa88, "release_firmware" },
	{ 0x29181c12, "device_property_present" },
	{ 0x824522c3, "_mutex_lock_interruptible" },
	{ 0xaac15cf3, "regulator_enable" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("acpi*:ELAN0000:*");
MODULE_ALIAS("acpi*:ELAN0100:*");
MODULE_ALIAS("acpi*:ELAN0600:*");
MODULE_ALIAS("acpi*:ELAN0601:*");
MODULE_ALIAS("acpi*:ELAN0602:*");
MODULE_ALIAS("acpi*:ELAN0603:*");
MODULE_ALIAS("acpi*:ELAN0604:*");
MODULE_ALIAS("acpi*:ELAN0605:*");
MODULE_ALIAS("acpi*:ELAN0606:*");
MODULE_ALIAS("acpi*:ELAN0607:*");
MODULE_ALIAS("acpi*:ELAN0608:*");
MODULE_ALIAS("acpi*:ELAN0609:*");
MODULE_ALIAS("acpi*:ELAN060B:*");
MODULE_ALIAS("acpi*:ELAN060C:*");
MODULE_ALIAS("acpi*:ELAN060F:*");
MODULE_ALIAS("acpi*:ELAN0610:*");
MODULE_ALIAS("acpi*:ELAN0611:*");
MODULE_ALIAS("acpi*:ELAN0612:*");
MODULE_ALIAS("acpi*:ELAN0615:*");
MODULE_ALIAS("acpi*:ELAN0616:*");
MODULE_ALIAS("acpi*:ELAN0617:*");
MODULE_ALIAS("acpi*:ELAN0618:*");
MODULE_ALIAS("acpi*:ELAN0619:*");
MODULE_ALIAS("acpi*:ELAN061A:*");
MODULE_ALIAS("acpi*:ELAN061C:*");
MODULE_ALIAS("acpi*:ELAN061D:*");
MODULE_ALIAS("acpi*:ELAN061E:*");
MODULE_ALIAS("acpi*:ELAN061F:*");
MODULE_ALIAS("acpi*:ELAN0620:*");
MODULE_ALIAS("acpi*:ELAN0621:*");
MODULE_ALIAS("acpi*:ELAN0622:*");
MODULE_ALIAS("acpi*:ELAN0623:*");
MODULE_ALIAS("acpi*:ELAN0624:*");
MODULE_ALIAS("acpi*:ELAN0625:*");
MODULE_ALIAS("acpi*:ELAN0626:*");
MODULE_ALIAS("acpi*:ELAN0627:*");
MODULE_ALIAS("acpi*:ELAN0628:*");
MODULE_ALIAS("acpi*:ELAN0629:*");
MODULE_ALIAS("acpi*:ELAN062A:*");
MODULE_ALIAS("acpi*:ELAN062B:*");
MODULE_ALIAS("acpi*:ELAN062C:*");
MODULE_ALIAS("acpi*:ELAN062D:*");
MODULE_ALIAS("acpi*:ELAN062E:*");
MODULE_ALIAS("acpi*:ELAN062F:*");
MODULE_ALIAS("acpi*:ELAN0631:*");
MODULE_ALIAS("acpi*:ELAN0632:*");
MODULE_ALIAS("acpi*:ELAN0633:*");
MODULE_ALIAS("acpi*:ELAN0634:*");
MODULE_ALIAS("acpi*:ELAN0635:*");
MODULE_ALIAS("acpi*:ELAN0636:*");
MODULE_ALIAS("acpi*:ELAN0637:*");
MODULE_ALIAS("acpi*:ELAN1000:*");
MODULE_ALIAS("i2c:elan_i2c");

MODULE_INFO(srcversion, "A49AE7D8EFA0E1C39297ECC");

MODULE_INFO(suserelease, "SLE15-SP2");
