#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa4eed622, "netdev_info" },
	{ 0xf9a482f9, "msleep" },
	{ 0x71742b5e, "phylink_of_phy_connect" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x445a81ce, "boot_cpu_data" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdf2585be, "phylink_ethtool_ksettings_get" },
	{ 0x8bebc698, "__mdiobus_register" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xdf566a59, "__x86_indirect_thunk_r9" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc1c35c34, "_mutex_unlock" },
	{ 0xac53f74b, "devm_ioremap_resource" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2d739f99, "dma_free_attrs" },
	{ 0xb265c59f, "phylink_ethtool_ksettings_set" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf4200bd3, "mdiobus_unregister" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x49d6bc5d, "__platform_driver_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x280bf0b4, "__dynamic_netdev_dbg" },
	{ 0x9dfd6b5a, "__netdev_alloc_skb" },
	{ 0xbf36b898, "netif_rx" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x7e526bfa, "__x86_indirect_thunk_r10" },
	{ 0xf8a90105, "netif_tx_wake_queue" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x2bd740c4, "ethtool_op_get_link" },
	{ 0x65ee2b1e, "mdiobus_free" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x944a68dd, "free_netdev" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0x5792f848, "strlcpy" },
	{ 0x5b46555a, "dma_direct_map_page" },
	{ 0xf60ae506, "dma_alloc_attrs" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xb104954, "dev_close" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x78f5b655, "__dev_kfree_skb_irq" },
	{ 0xaf566896, "platform_get_resource" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfee8bed8, "_dev_err" },
	{ 0x82072614, "tasklet_kill" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x54d9ee86, "dma_direct_unmap_page" },
	{ 0xd16c20ec, "_dev_info" },
	{ 0x9d01aebc, "netif_device_detach" },
	{ 0x12a38747, "usleep_range" },
	{ 0x9cb986f2, "vmalloc_base" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x2bbbe46d, "eth_type_trans" },
	{ 0x283fcf7a, "dev_driver_string" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56067c2d, "netdev_err" },
	{ 0xfbf3c497, "__dynamic_dev_dbg" },
	{ 0x9c40e932, "netdev_warn" },
	{ 0xce5abc05, "eth_validate_addr" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd6a1270b, "unregister_netdev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x542b03d2, "consume_skb" },
	{ 0x8b1a785, "_mutex_lock" },
	{ 0x1191d933, "platform_driver_unregister" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbef441d1, "skb_put" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x585a6f15, "dma_ops" },
	{ 0xe484e35f, "ioread32" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc7ebc1a4, "alloc_etherdev_mqs" },
	{ 0xd6a59cac, "mdiobus_alloc_size" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=phylink,libphy";

MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-1.00.a");
MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-1.00.aC*");
MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-1.01.a");
MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-1.01.aC*");
MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-2.01.a");
MODULE_ALIAS("of:N*T*Cxlnx,axi-ethernet-2.01.aC*");

MODULE_INFO(srcversion, "7AD41017A29F1328B6AEB44");

MODULE_INFO(suserelease, "SLE15-SP2");
