#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0xac16b7d9, "param_ops_bool" },
	{ 0xace405de, "ethtool_op_get_ts_info" },
	{ 0xe41fb918, "usbnet_get_link" },
	{ 0x93202bc4, "usbnet_nway_reset" },
	{ 0x2505a1c, "usbnet_set_msglevel" },
	{ 0x46bd6bf2, "usbnet_get_msglevel" },
	{ 0x4adfa878, "usbnet_get_drvinfo" },
	{ 0x40bcf1, "usbnet_get_stats64" },
	{ 0xae241056, "usbnet_tx_timeout" },
	{ 0x6fac1cc1, "usbnet_change_mtu" },
	{ 0xce5abc05, "eth_validate_addr" },
	{ 0x5a122f00, "eth_mac_addr" },
	{ 0xe41eceef, "usbnet_start_xmit" },
	{ 0x1fc7e6d1, "usbnet_stop" },
	{ 0x86ba0e15, "usbnet_open" },
	{ 0x52b2a2bd, "usbnet_disconnect" },
	{ 0x716b1ca7, "usbnet_probe" },
	{ 0x5cba2bed, "usb_deregister" },
	{ 0x1b5434ac, "usb_register_driver" },
	{ 0xe8dda7f8, "usbnet_suspend" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x7fadcb16, "__rt_spin_lock_init" },
	{ 0xd985b4ad, "__rt_mutex_init" },
	{ 0x8092db58, "kmem_cache_alloc_trace" },
	{ 0xa20584a1, "kmalloc_caches" },
	{ 0x74169b51, "usbnet_get_endpoints" },
	{ 0xc5850110, "printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xed563f24, "usbnet_link_change" },
	{ 0x99e342bb, "usb_autopm_get_interface_no_resume" },
	{ 0x82def3dd, "usb_autopm_put_interface" },
	{ 0xa4eed622, "netdev_info" },
	{ 0x72f8954a, "usbnet_skb_return" },
	{ 0x44be96f1, "skb_trim" },
	{ 0x55737eb5, "skb_clone" },
	{ 0x70f075d2, "skb_pull" },
	{ 0xf82dcfb0, "usbnet_resume" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc7b5324, "mii_nway_restart" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe7c07b7f, "mii_ethtool_gset" },
	{ 0xd60e47cf, "mii_check_media" },
	{ 0x2a0690d7, "usbnet_set_link_ksettings" },
	{ 0xc1c35c34, "_mutex_unlock" },
	{ 0x8b1a785, "_mutex_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3311a1e0, "usbnet_read_cmd_nopm" },
	{ 0x6e5dfd95, "usbnet_read_cmd" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xaa499ab0, "usbnet_write_cmd_nopm" },
	{ 0x4c5affc5, "usbnet_write_cmd" },
	{ 0xbd6841d4, "crc16" },
	{ 0x937e4c61, "generic_mii_ioctl" },
	{ 0x25083b33, "device_set_wakeup_enable" },
	{ 0x2a9475f7, "usbnet_get_link_ksettings" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xb170c090, "rt_spin_unlock" },
	{ 0x752a4a03, "rt_spin_lock" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc27429c, "usbnet_write_cmd_async" },
	{ 0x9c40e932, "netdev_warn" },
	{ 0x280bf0b4, "__dynamic_netdev_dbg" },
	{ 0xfbad130c, "usbnet_defer_kevent" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xcc102ff0, "__dev_kfree_skb_any" },
	{ 0xed0fb113, "pskb_expand_head" },
	{ 0x946ff282, "skb_push" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii,crc16";

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CA00E4A06D9DA724864262B");

MODULE_INFO(suserelease, "SLE15-SP2");
