#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0xac16b7d9, "param_ops_bool" },
	{ 0xb189a265, "rt2x00mac_tx_frames_pending" },
	{ 0x5afad615, "rt2x00mac_get_ringparam" },
	{ 0xf9ce1b5c, "rt2x00mac_get_antenna" },
	{ 0x7371efc8, "rt2x00mac_set_antenna" },
	{ 0xdb797abc, "rt2x00mac_flush" },
	{ 0x3975d2cd, "rt2x00mac_rfkill_poll" },
	{ 0xaa247c69, "rt2x00mac_conf_tx" },
	{ 0xe47a30c3, "rt2x00mac_get_stats" },
	{ 0x94360dc5, "rt2x00mac_sw_scan_complete" },
	{ 0xfe0a057a, "rt2x00mac_sw_scan_start" },
	{ 0xbd56af9e, "rt2x00mac_set_key" },
	{ 0x3ca21f2e, "rt2x00mac_set_tim" },
	{ 0x7f04dbe4, "rt2x00mac_configure_filter" },
	{ 0x907d51d8, "rt2x00mac_bss_info_changed" },
	{ 0xe5f24dc2, "rt2x00mac_config" },
	{ 0x4fe4a134, "rt2x00mac_remove_interface" },
	{ 0x7e5282e2, "rt2x00mac_add_interface" },
	{ 0x9e47c9ab, "rt2x00mac_stop" },
	{ 0x4129e802, "rt2x00mac_start" },
	{ 0x6ccd5803, "rt2x00mac_tx" },
	{ 0xd20c911e, "rt2x00usb_flush_queue" },
	{ 0x8567fddc, "rt2x00usb_kick_queue" },
	{ 0x3d9f7c85, "rt2x00usb_watchdog" },
	{ 0xbf8fdc4b, "rt2x00usb_clear_entry" },
	{ 0x86a73144, "rt2x00usb_uninitialize" },
	{ 0x578528d6, "rt2x00usb_initialize" },
	{ 0x754c1dfa, "rt2x00usb_resume" },
	{ 0x61a07485, "rt2x00usb_suspend" },
	{ 0x157d61f0, "rt2x00usb_disconnect" },
	{ 0x5cba2bed, "usb_deregister" },
	{ 0x1b5434ac, "usb_register_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfbf3c497, "__dynamic_dev_dbg" },
	{ 0xd16c20ec, "_dev_info" },
	{ 0x160aadaf, "rt2x00lib_set_mac_address" },
	{ 0x7cc4d766, "rt2x00usb_vendor_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7c50ec96, "rt2x00usb_disable_radio" },
	{ 0xc1c35c34, "_mutex_unlock" },
	{ 0x8b1a785, "_mutex_lock" },
	{ 0xfee8bed8, "_dev_err" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x47f9cd34, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x542b03d2, "consume_skb" },
	{ 0x260ff55, "usb_submit_urb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x946ff282, "skb_push" },
	{ 0x44be96f1, "skb_trim" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x45422525, "rt2x00usb_vendor_request_buff" },
	{ 0x3f468c8d, "rt2x00usb_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E6636E1F71B87380790B02F");

MODULE_INFO(suserelease, "SLE15-SP2");
