#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0xa20584a1, "kmalloc_caches" },
	{ 0x505d3fce, "snd_hda_gen_fixup_micmute_led" },
	{ 0xeaae1018, "snd_hda_gen_free" },
	{ 0x9987c3f7, "snd_hda_codec_get_pin_target" },
	{ 0x39d5d4e2, "snd_hda_mixer_amp_volume_put" },
	{ 0x375cacd5, "snd_hda_input_mux_info" },
	{ 0xc699d64, "snd_hda_gen_parse_auto_config" },
	{ 0x8bab694c, "snd_hda_add_verbs" },
	{ 0xc566a003, "snd_hda_apply_fixup" },
	{ 0x8b13c18c, "snd_hda_pick_fixup" },
	{ 0xfb512872, "snd_hda_mixer_amp_tlv" },
	{ 0xa9125c9d, "snd_hda_gen_build_pcms" },
	{ 0x718b9e16, "snd_hda_jack_unsol_event" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xf5bb54ac, "snd_hda_gen_update_outputs" },
	{ 0xe2a891dd, "snd_hda_get_path_from_idx" },
	{ 0xb5384a88, "snd_hda_mixer_amp_volume_get" },
	{ 0xf38ea756, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0x2c43d5dc, "snd_hda_gen_check_power_status" },
	{ 0xe6b3f23e, "snd_hda_codec_set_pin_target" },
	{ 0xd63598ba, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xc41d48de, "snd_hda_gen_add_micmute_led" },
	{ 0xbb6eb30, "snd_hda_activate_path" },
	{ 0xedc85efc, "snd_hda_gen_init" },
	{ 0x8736034e, "snd_hda_parse_pin_defcfg" },
	{ 0x50fd1ad4, "snd_hda_jack_set_gating_jack" },
	{ 0x1a9df4ad, "__hda_codec_driver_register" },
	{ 0xc21f26d5, "snd_hda_override_amp_caps" },
	{ 0xb1bfc09c, "snd_ctl_boolean_mono_info" },
	{ 0xd16c20ec, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc049e822, "_snd_hdac_read_parm" },
	{ 0x5a0d9128, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x7d70cbac, "snd_hda_gen_reboot_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8092db58, "kmem_cache_alloc_trace" },
	{ 0xfbf3c497, "__dynamic_dev_dbg" },
	{ 0x23937273, "snd_hda_gen_add_kctl" },
	{ 0x3bd45b0d, "ledtrig_audio_set" },
	{ 0x87c3434b, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x30eb9d44, "snd_hdac_codec_write" },
	{ 0x9a754e44, "snd_hda_add_new_path" },
	{ 0x64c25245, "hda_codec_driver_unregister" },
	{ 0x210ee5e9, "snd_hda_mixer_amp_switch_info" },
	{ 0x3a494707, "snd_hda_gen_spec_init" },
	{ 0xedd720db, "snd_hda_jack_detect_state_mst" },
	{ 0x438ac011, "snd_hdac_regmap_read_raw" },
	{ 0x1b6e13bd, "snd_hda_mixer_amp_volume_info" },
	{ 0x61c19d64, "query_amp_caps" },
	{ 0xb816e873, "snd_hda_gen_mic_autoswitch" },
	{ 0x5bcfa0af, "snd_hda_gen_build_controls" },
	{ 0xd956400e, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd,ledtrig-audio";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "2F08E49C4EC9A455615B49E");

MODULE_INFO(suserelease, "SLE15-SP2");
