#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2a2215fe, "snd_soc_dapm_get_enum_double" },
	{ 0x7835e851, "i2c_del_driver" },
	{ 0x8ae65a67, "snd_soc_dapm_get_volsw" },
	{ 0x82140982, "regmap_update_bits_base" },
	{ 0x8eb6d044, "snd_pcm_hw_constraint_msbits" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0xd16598aa, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xeb929aab, "snd_soc_component_update_bits" },
	{ 0x82a36c7, "snd_soc_put_volsw" },
	{ 0x9d9aafec, "regmap_read" },
	{ 0xe207f893, "snd_soc_get_volsw" },
	{ 0x4a921e91, "snd_soc_info_enum_double" },
	{ 0x11a83e14, "acpi_match_device" },
	{ 0xcb490238, "snd_soc_dapm_add_routes" },
	{ 0x5ecdade6, "snd_soc_put_volsw_range" },
	{ 0x66d23989, "_dev_warn" },
	{ 0x9c4739e3, "snd_soc_add_component_controls" },
	{ 0xd0b62b48, "snd_soc_info_volsw_range" },
	{ 0x27dd507d, "snd_soc_bytes_info" },
	{ 0x490b8b1a, "snd_soc_dapm_put_volsw" },
	{ 0x69da9328, "snd_soc_get_volsw_range" },
	{ 0xfee8bed8, "_dev_err" },
	{ 0xf4fae4c4, "snd_soc_info_volsw" },
	{ 0x6856fbf5, "i2c_register_driver" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xd16c20ec, "_dev_info" },
	{ 0x964fdd6d, "snd_soc_get_enum_double" },
	{ 0xaa5620b5, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x1a32f5a7, "__devm_regmap_init_i2c" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92226d2f, "pm_wakeup_dev_event" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x68750959, "devm_snd_soc_register_component" },
	{ 0x2607c932, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6297acd4, "devm_clk_get" },
	{ 0xfbf3c497, "__dynamic_dev_dbg" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xd07f0104, "regcache_mark_dirty" },
	{ 0xa158e3a3, "snd_soc_put_enum_double" },
	{ 0xd171605, "snd_soc_bytes_get" },
	{ 0x2838ebb6, "snd_soc_bytes_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc52846a7, "snd_soc_jack_report" },
	{ 0x2f222148, "snd_soc_component_read32" },
	{ 0x5def6e54, "devm_kmalloc" },
	{ 0x35994e27, "devm_request_threaded_irq" },
	{ 0xbb9e4163, "regmap_write" },
	{ 0x7b156a9d, "regcache_sync" },
	{ 0x6542b5ae, "is_acpi_device_node" },
	{ 0x6b595437, "regcache_cache_only" },
	{ 0x9ef7ecf4, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core";

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "86BCA25ED4F3414B5F1E60B");

MODULE_INFO(suserelease, "SLE15-SP2");
