#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x145277ce, "module_layout" },
	{ 0xa20584a1, "kmalloc_caches" },
	{ 0xa5bbc23a, "param_ops_int" },
	{ 0x4e6b6c40, "snd_pcm_period_elapsed" },
	{ 0x486d4836, "usb_init_urb" },
	{ 0xd985b4ad, "__rt_mutex_init" },
	{ 0xfb139e9e, "usb_kill_urb" },
	{ 0xac16b7d9, "param_ops_bool" },
	{ 0x9a493015, "snd_rawmidi_set_ops" },
	{ 0x8a4366e4, "snd_card_disconnect" },
	{ 0xe4bf4f4d, "snd_rawmidi_new" },
	{ 0x752a4a03, "rt_spin_lock" },
	{ 0x912a184b, "input_set_abs_params" },
	{ 0xb170c090, "rt_spin_unlock" },
	{ 0xa488af8e, "input_event" },
	{ 0xa0b8ee1e, "__init_waitqueue_head" },
	{ 0x236f182a, "param_ops_charp" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x66d23989, "_dev_warn" },
	{ 0xfc91dc94, "usb_string" },
	{ 0x5cba2bed, "usb_deregister" },
	{ 0xbdcfd86d, "snd_pcm_set_ops" },
	{ 0xc5ba8787, "usb_set_interface" },
	{ 0x496c4632, "snd_pcm_lib_get_vmalloc_page" },
	{ 0x5792f848, "strlcpy" },
	{ 0x1fe5e688, "snd_pcm_lib_ioctl" },
	{ 0xfee8bed8, "_dev_err" },
	{ 0xcc589895, "snd_card_set_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7fadcb16, "__rt_spin_lock_init" },
	{ 0xcb851fda, "usb_urb_ep_type_check" },
	{ 0xd68f3a1a, "snd_card_new" },
	{ 0x260ff55, "usb_submit_urb" },
	{ 0x1a864c8c, "_snd_pcm_lib_alloc_vmalloc_buffer" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9aed7e89, "usb_reset_device" },
	{ 0xc5d0cd56, "input_register_device" },
	{ 0x46fcd2df, "usb_bulk_msg" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc28973b6, "snd_ctl_new1" },
	{ 0xf3f221a1, "input_free_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8092db58, "kmem_cache_alloc_trace" },
	{ 0xfbf3c497, "__dynamic_dev_dbg" },
	{ 0x3bbad082, "__wake_up" },
	{ 0xd8088a02, "prepare_to_wait_event" },
	{ 0x37a0cba, "kfree" },
	{ 0x5f8d8a97, "input_unregister_device" },
	{ 0x5e9c6b7b, "param_array_ops" },
	{ 0x1b5434ac, "usb_register_driver" },
	{ 0x1504aa61, "finish_wait" },
	{ 0x75995395, "snd_card_free" },
	{ 0xf4a21dcc, "snd_card_register" },
	{ 0xe2134b99, "snd_pcm_limit_hw_rates" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8f82d571, "snd_pcm_new" },
	{ 0x8e24120d, "snd_pcm_lib_free_vmalloc_buffer" },
	{ 0x23278261, "snd_ctl_add" },
	{ 0xa4b9e1d, "snd_rawmidi_transmit" },
	{ 0xfdaa8676, "usb_free_urb" },
	{ 0x58ddcabb, "snd_rawmidi_receive" },
	{ 0x7b60b5cc, "usb_alloc_urb" },
	{ 0x1b27efd8, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,usbcore,snd-rawmidi,snd";

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F759D6A3FBC8A3314E7EB77");

MODULE_INFO(suserelease, "SLE15-SP2");
